Subject: [HOKEY] Change proposal for ERP-AAK - 4: Cryptosuite

From: Qin Wu <[email-masked]>
Date: Thu, 29 Sep 2011 17:55:07 +0800

Hi,
I notice we didn't assign TLV type values from the registry of EAP Initiate and Finish Attributes for Cryptosuite.
That is becos we reuse Cryptosuite TLV payload defined in the RFC5296, however it doesn't look clear about this 
in the new version of draft-ietf-hokey-erp-aak, therefore I propose to do the following change:

OLD TEXT:
"
      List of Cryptosuites: This is a sub-TLV payload.  The Type is TBD.
      The value field contains a list of cryptosuites, each 1 octet in
      length.  The allowed cryptosuite values are as specified in
      Section 5.2, above.  The server SHOULD include this attribute if
      the cryptosuite used in the EAP-Initiate/Re-auth message was not
      acceptable and the message is being rejected.  The server MAY
      include this attribute in other cases.  The server MAY use this
      attribute to signal to the peer about its cryptographic algorithm
      capabilities.

"
NEW TEXT:
"
      List of Cryptosuites: This is a sub-TLV payload defined in RFC5296 with the type 5.  

      The value field contains a list of cryptosuites, each 1 octet in

      length.  The allowed cryptosuite values are as specified in

      Section 5.2, above.  The server SHOULD include this attribute if

      the cryptosuite used in the EAP-Initiate/Re-auth message was not

      acceptable and the message is being rejected.  The server MAY

      include this attribute in other cases.  The server MAY use this

      attribute to signal to the peer about its cryptographic algorithm

      capabilities.

"

Regards!
-Qin